Package org.silverpeas.components.gallery.process

## Class AbstractGalleryFileProcess

- java.lang.Object
- - org.silverpeas.core.process.AbstractProcess<C>
  - - org.silverpeas.core.process.management.AbstractFileProcess<org.silverpeas.core.process.management.ProcessExecutionContext>
    - - org.silverpeas.components.gallery.process.AbstractGalleryFileProcess

- All Implemented Interfaces:
    `org.silverpeas.core.process.SilverpeasProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`
  Direct Known Subclasses:
    `GalleryCreateMediaFileProcess`, `GalleryDeleteMediaFileProcess`, `GalleryPasteMediaFileProcess`, `GalleryUpdateMediaFileProcess`

      public abstract class AbstractGalleryFileProcess
      extends org.silverpeas.core.process.management.AbstractFileProcess<org.silverpeas.core.process.management.ProcessExecutionContext>

  Author:
    Yohann Chastagnier

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractGalleryFileProcess​(Media media)` | Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Media` | `getMedia()` |
    `protected org.silverpeas.core.admin.service.OrganizationController` | `getOrganisationController()` | Access to the shared OrganizationController

    - ### Methods inherited from class org.silverpeas.core.process.management.AbstractFileProcess

      `getProcessType, process, processFiles`

    - ### Methods inherited from class org.silverpeas.core.process.AbstractProcess

      `onFailure, onSuccessful`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractGalleryFileProcess

          protected AbstractGalleryFileProcess​(Media media)

      Default constructor
      Parameters:
        `media` -

  - ### Method Detail

    - #### getMedia

          protected Media getMedia()

      Returns:
        the media

    - #### getOrganisationController

          protected org.silverpeas.core.admin.service.OrganizationController getOrganisationController()

      Access to the shared OrganizationController
      Returns: